This guide covers the
customer role. For shipper, consignee, freight forwarder, notify party, customs broker, and dray carrier, see Assign Shipper, Consignee, and Other Parties.Why add a party to a tracking request?
Adding a party to a tracking request associates customer information with the request. The customer is assigned to the shipment when it is created, just like reference numbers and tags. This helps you organize and manage your shipments more effectively.How to get the party ID
You can either find an existing party or create a new one.- To find an existing party, jump to Listing all parties section.
- To create a new party, jump to Adding party for a customer section.
List all parties
You can list all parties associated with your account through the API. Endpoint: GET - https://api.terminal49.com/v2/partiesResponse
company_name to find the correct ID, either by looking through the list manually or using code to automate the process.
Add a party to a tracking request
To add a customer to a tracking request, include the party as a customer relationship when creating the request. Shipper, consignee, and the other roles are passed the same way, as relationships named after the role. To change roles on an existing shipment, use party roles. Endpoint: POST - https://api.terminal49.com/v2/tracking_requestsRequest
customer relationship references the partyβs linked account and is null when the party has none, which is the case for parties created through this API. Once the shipment exists, read the assigned party with GET /v2/shipments/SHIPMENT_ID/party_roles.
Response
Create a party for a customer
To add a customer to a tracking request, you first need to create a party. You can create a party through the API. Endpoint: POST - https://api.terminal49.com/v2/partiesRequest
Response